package domain


type AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO struct {
    /*
        营销活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        操作人ID     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人姓名     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        商品条码     */
    BarCode  *string `json:"bar_code,omitempty" `

    /*
        限购信息     */
    Limit  *AlibabaRetailMarketingBuygiftSkuQueryLimitDTO `json:"limit,omitempty" `

    /*
        买N赠M的N参数     */
    BuyNum  *int64 `json:"buy_num,omitempty" `

    /*
        买N赠M的M参数     */
    GiftNum  *int64 `json:"gift_num,omitempty" `

    /*
        赠品编码     */
    GiftSkuCode  *string `json:"gift_sku_code,omitempty" `

    /*
        赠品条码     */
    GiftBarCode  *string `json:"gift_bar_code,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetActId(v int64) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetCreatorId(v string) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetCreatorName(v string) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetSkuCode(v string) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.SkuCode = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetBarCode(v string) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.BarCode = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetLimit(v AlibabaRetailMarketingBuygiftSkuQueryLimitDTO) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.Limit = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetBuyNum(v int64) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.BuyNum = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetGiftNum(v int64) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.GiftNum = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetGiftSkuCode(v string) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.GiftSkuCode = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO) SetGiftBarCode(v string) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuDTO {
    s.GiftBarCode = &v
    return s
}
